Bug 780821 - (SOA-3271) Quickstart and base-build.xml reference obsolete JMS provider config files
Quickstart and base-build.xml reference obsolete JMS provider config files
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.2.0 GA
Unspecified Unspecified
medium Severity medium
: ---
: 5.2.0 GA
Assigned To: tcunning
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-15 14:34 EDT by Len DiMaggio
Modified: 2011-09-26 14:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 14:47:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3665 None None None Never
JBoss Issue Tracker SOA-3271 None None None Never

  None (edit)
Description Len DiMaggio 2011-08-15 14:34:43 EDT
project_key: SOA

These files:  

jbossesb-listener.xml
jbossesb-gateway.xml

Are no longer be included in ESB or SOA-P releases.

[ldimaggi@ldimaggi jboss-as]$ find . -name jbossesb-listener.xml -print
[ldimaggi@ldimaggi jboss-as]$ find . -name jbossesb-gateway.xml  -print

But - there are (2) references to these files:
[ldimaggi@ldimaggi jboss-as]$ grep -r "jbossesb-listener.xml" *
samples/quickstarts/helloworld_ftp_action/build.xml:				<include name="jbossesb-listener.xml"/>
samples/quickstarts/conf/base-build.xml:				<include name="jbossesb-listener.xml"/>	

[ldimaggi@ldimaggi jboss-as]$ grep -r "jbossesb-gateway.xml" *
samples/quickstarts/helloworld_ftp_action/build.xml:				<include name="jbossesb-gateway.xml"/>
samples/quickstarts/conf/base-build.xml:				<include name="jbossesb-gateway.xml"/>
Comment 1 Len DiMaggio 2011-08-15 14:37:08 EDT
From helloworld_ftp_action/build.xml:

{noformat} 
    <target name="quickstart-specific-clean">
                <delete >
                        <fileset dir="${basedir}">
                                <include name="readonly-esb*"/>
                                <include name="jbossesb-gateway.xml"/>
                                <include name="jbossesb-listener.xml"/>
                        </fileset>
                </delete>
    </target>
{noformat} 

From: base-build.xml

{noformat} 
        <target name="clean" depends="quickstart-specific-clean">
                <description>clean                              cleans the project
                </description>


        <delete dir="${build.dir}" />
                <delete>
                        <fileset dir="${basedir}">
                                <include name="jbossesb-gateway.xml"/>
                                <include name="jbossesb-listener.xml"/>
                                <include name="listener.log"/>
                        </fileset>
                </delete>
        </target>
{noformat} 
Comment 2 Len DiMaggio 2011-08-15 14:37:43 EDT
Link: Added: This issue is related to SOA-3107
Comment 3 Len DiMaggio 2011-08-15 14:44:42 EDT
Link: Added: This issue relates to JBESB-3665
Comment 4 tcunning 2011-09-15 16:02:20 EDT
Removed obsolete configuration files.    Committed to CP branch, should be in ER4.

tcunning@localhost:quickstarts]$ svn commit
Sending        quickstarts/conf/base-build.xml
Sending        quickstarts/helloworld_ftp_action/build.xml
Transmitting file data ..
Committed revision 37469.
tcunning@localhost:quickstarts]$ 
Comment 5 David Le Sage 2011-09-18 19:31:54 EDT
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-3271

The ESB still contained references to some old files, even though these had long been removed. These files were jbossesb-listener.xml and
jbossesb-gateway.xml.  The references have now been deleted.
Comment 6 Len DiMaggio 2011-09-26 14:47:09 EDT
Verified fixed in ER4 build.

Note You need to log in before you can comment on or make changes to this bug.